### Method

# FwupdPlugin Device get_smbios_string

since: 2.0.10

#### Declaration [src]

    const gchar*
    fu_device_get_smbios_string (
      FuDevice* self,
      guint8 type,
      guint8 length,
      guint8 offset,
      GError** error
    )

#### Description [src]

Gets a hardware SMBIOS string.

The `type` and `offset` can be referenced from the DMTF SMBIOS specification: https://www.dmtf.org/sites/default/files/standards/documents/DSP0134_3.1.1.pdf.

Available since: 2.0.10

#### Parameters

`type`

  Type: `guint8`

  A SMBIOS structure type, e.g. `FU_SMBIOS_STRUCTURE_TYPE_BIOS`.

`length`

  Type: `guint8`

  Expected length of the structure, or `FU_SMBIOS_STRUCTURE_LENGTH_ANY`.

`offset`

  Type: `guint8`

  A SMBIOS offset.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `const gchar*`

A string, or `NULL`.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.